SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000090SiT!otherpublic2008-07-12 14:012011-02-14 13:18
Reporterpaulh 
Assigned Topaulh 
PrioritylowSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000090: Functions should be broken up
DescriptionWe should break functions.inc.php up into more managable files rather than the monolithic 10505 line file we have at the moment.

Something along the lines of

site_functions.inc.php
billing_functions.inc.php
general_functions.inc.php
etc
TagsNo tags attached.
Attached Files

- Relationships
child of 0000012confirmed [META] Code review / Code tidy - Remove any cruft, define constants, document functions etc. 

-  Notes
User avatar (0000017)
ivan (administrator)
2008-07-12 16:21

I agree we definitely need to do this. We could do with putting some thought into how to split it though, it would be a pain if we ended up having to include each and every one of the separate files on each page because of dependencies.
User avatar (0000018)
paulh (administrator)
2008-07-13 13:08

Was thinking you'd still only include functions.inc.php and this would then include and the other includes, this would prevent dependency hell and make the code easier to read
User avatar (0003002)
ivan (administrator)
2010-04-10 19:24

Targeting for 4.0 so that this doesn't get forgotten, as the one large file does cause issues.
User avatar (0003017)
paulh (administrator)
2010-04-11 17:44

8e221d3e starts this, functions is now 1507 lines though alot of the code has just been moved to html.inc.php which is now 3874 lines
User avatar (0003420)
paulh (administrator)
2010-09-26 16:53

As of bde4348 functions has been broken down

- Issue History
Date Modified Username Field Change
2008-07-12 14:01 paulh New Issue
2008-07-12 16:14 ivan Relationship added child of 0000012
2008-07-12 16:21 ivan Note Added: 0000017
2008-07-12 16:21 ivan Status new => confirmed
2008-07-12 16:22 ivan Summary Functons should be broken up => Functions should be broken up
2008-07-13 13:08 paulh Note Added: 0000018
2010-03-02 11:26 ivan Priority normal => low
2010-04-10 19:24 ivan Note Added: 0003002
2010-04-10 19:24 ivan Target Version => 4.0
2010-04-11 12:17 paulh Status confirmed => assigned
2010-04-11 12:17 paulh Assigned To => paulh
2010-04-11 17:44 paulh Note Added: 0003017
2010-09-26 16:53 paulh Note Added: 0003420
2010-09-26 16:53 paulh Status assigned => resolved
2010-09-26 16:53 paulh Resolution open => fixed
2010-09-26 16:53 paulh Fixed in Version => Current GIT
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker